'use strict';

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var registry = (0, _index2.default)();

it('finds valid profile', function () {
  return new Promise(function (resolve, reject) {
    registry('0x3b2631d8e15b145fd2bf99fc5f98346aecdc394c', function (error, profile) {
      if (error) return reject(error);
      resolve(profile);
    });
  }).then(function (profile) {
    return expect(profile.publicKey).toEqual('0x0482780d59037778ea03c7d5169dd7cf47a835cb6d57a606b4e6cf98000a28d20d6d6bfae223cc76fd2f63d8a382a1c054788c4fafb1062ee89e718b96e0896d40');
  });
});

it('returns null if it profile doesnt exist', function () {
  return new Promise(function (resolve, reject) {
    registry('0x3b2631d8e15b145fd2bf99fc5f98346aecdc394d', function (error, profile) {
      if (error) return reject(error);
      resolve(profile);
    });
  }).then(function (profile) {
    return expect(profile).toBeUndefined();
  });
});